## ocaml-mirage-crypto 0.10.5

=== ec-freestanding/Makefile ===
ifneq (, $(shell command -v opam))
PKG_CONFIG_PATH ?= $(shell opam var prefix)/lib/pkgconfig
endif

EXISTS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists ocaml-freestanding; echo $$?)

.PHONY: all clean
all: libmirage_crypto_ec_freestanding_stubs.a

ifeq ($(EXISTS), 1)
libmirage_crypto_ec_freestanding_stubs.a:
	touch $@
else
CC ?= cc
FREESTANDING_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags ocaml-freestanding)
DISCOVER_CFLAGS := $(shell sed 's/^(\(.*\))$$/\1/' ../ec/cflags_optimized.sexp | tr -d '"')
CFLAGS := -DNDEBUG -O3 -I../ec/native -I../src/native $(DISCOVER_CFLAGS) $(FREESTANDING_CFLAGS)

OBJS=p224_stubs.o np224_stubs.o p256_stubs.o np256_stubs.o p384_stubs.o np384_stubs.o p521_stubs.o np521_stubs.o curve25519_stubs.o

libmirage_crypto_ec_freestanding_stubs.a: $(OBJS)
	$(AR) r $@ $^
endif

clean:
	$(RM) $(OBJS) libmirage_crypto_ec_freestanding_stubs.a

=== src-freestanding/Makefile ===
ifneq (, $(shell command -v opam))
PKG_CONFIG_PATH ?= $(shell opam var prefix)/lib/pkgconfig
endif

EXISTS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists ocaml-freestanding; echo $$?)

.PHONY: all clean
all: libmirage_crypto_freestanding_stubs.a

ifeq ($(EXISTS), 1)
libmirage_crypto_freestanding_stubs.a:
	touch $@
else
CC ?= cc
FREESTANDING_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags ocaml-freestanding)
MIRAGE_CRYPTO_OPT_CFLAGS := $(shell sed 's/^(\(.*\))$$/\1/' ../src/cflags_optimized.sexp | tr -d '"')
CFLAGS := -I../src/native $(MIRAGE_CRYPTO_OPT_CFLAGS) $(FREESTANDING_CFLAGS)

MIRAGE_CRYPTO_CFLAGS := $(shell sed 's/^(\(.*\))$$/\1/' ../src/cflags.sexp | tr -d '"')
UNOPT_CFLAGS := -I../src/native $(MIRAGE_CRYPTO_CFLAGS) $(FREESTANDING_CFLAGS)

chacha_generic.o: chacha_generic.c
	$(CC) $(UNOPT_CFLAGS) -c -o chacha_generic.o chacha_generic.c

UNOPT_OBJS=chacha_generic.o

OBJS=detect_cpu_features.o misc.o misc_sse.o hash_stubs.o md5.o sha1.o \
  sha256.o sha512.o aes_generic.o aes_aesni.o des_generic.o chacha.o \
  poly1305-donna.o ghash_pclmul.o ghash_generic.o ghash_ctmul.o \
  entropy_cpu_stubs.o

libmirage_crypto_freestanding_stubs.a: $(OBJS) $(UNOPT_OBJS)
	$(AR) r $@ $^
endif

clean:
	$(RM) $(OBJS) libmirage_crypto_freestanding_stubs.a

=== debian/changelog ===
ocaml-mirage-crypto (0.10.5-4build2) jammy; urgency=medium

  * No-change rebuild for new ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Feb 2022 22:45:41 +0000

ocaml-mirage-crypto (0.10.5-4build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 17:57:32 +0100

ocaml-mirage-crypto (0.10.5-4) unstable; urgency=medium

  * Fix compilation on kfreebsd-*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 05 Dec 2021 16:21:03 +0100

ocaml-mirage-crypto (0.10.5-3) unstable; urgency=medium

  * Install static stubs on bytecode architectures
  * Fix compilation on mipsel and mips64el

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2021 20:54:07 +0100

ocaml-mirage-crypto (0.10.5-2) unstable; urgency=medium

  * Fix FTBFS on (at least) armhf

 -- Stéphane Glondu <glondu@debian.org>  Fri, 03 Dec 2021 09:02:43 +0100

ocaml-mirage-crypto (0.10.5-1) unstable; urgency=medium

  * Initial release (Closes: #1000808)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Dec 2021 16:25:25 +0100

=== debian/control ===
Source: ocaml-mirage-crypto
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libdune-ocaml-dev,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev,
 libeqaf-ocaml-dev,
 libduration-ocaml-dev,
 libmtime-ocaml-dev,
 liblwt-ocaml-dev,
 libsexplib0-ocaml-dev,
 libzarith-ocaml-dev,
 liblogs-ocaml-dev,
 pkg-config,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/mirage/mirage-crypto
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mirage-crypto.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mirage-crypto

Package: libmirage-crypto-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: cryptography in OCaml for the modern age (dev)
 Mirage-crypto provides symmetric ciphers (DES, AES, RC4,
 ChaCha20/Poly1305), and hashes (MD5, SHA-1, SHA-2).
 .
 Mirage-crypto-rng provides a random number generator interface, and
 implementations: Fortuna, HMAC-DRBG, getrandom/getentropy based (in
 the unix sublibrary).
 .
 Mirage-crypto-pk provides public-key cryptography (RSA, DSA, DH).
 .
 Mirage-crypto-ec provides an implementation of key exchange (ECDH)
 and digital signature (ECDSA/EdDSA) algorithms using code from Fiat
 (https://github.com/mit-plv/fiat-crypto). The curves P224
 (SECP224R1), P256 (SECP256R1), P384 (SECP384R1), P521 (SECP521R1),
 and 25519 (X25519, Ed25519) are implemented by this package.
 .
 This package contains development files.

Package: libmirage-crypto-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: simple symmetric cryptography for the modern age (runtime)
 Mirage-crypto provides symmetric ciphers (DES, AES, RC4,
 ChaCha20/Poly1305), and hashes (MD5, SHA-1, SHA-2).
 .
 Mirage-crypto-rng provides a random number generator interface, and
 implementations: Fortuna, HMAC-DRBG, getrandom/getentropy based (in
 the unix sublibrary).
 .
 Mirage-crypto-pk provides public-key cryptography (RSA, DSA, DH).
 .
 Mirage-crypto-ec provides an implementation of key exchange (ECDH)
 and digital signature (ECDSA/EdDSA) algorithms using code from Fiat
 (https://github.com/mit-plv/fiat-crypto). The curves P224
 (SECP224R1), P256 (SECP256R1), P384 (SECP384R1), P521 (SECP521R1),
 and 25519 (X25519, Ed25519) are implemented by this package.
 .
 This package contains the shared runtime libraries.

=== debian/watch ===
version=4
https://github.com/mirage/mirage-crypto/releases .*-v?([\d\.]+)\.tbz

## ocaml-mirage-crypto 0.10.7

=== ec-freestanding/Makefile ===
--- 
+++ 
@@ -1,5 +1,13 @@
 ifneq (, $(shell command -v opam))
-PKG_CONFIG_PATH ?= $(shell opam var prefix)/lib/pkgconfig
+  ifeq ($(origin PKG_CONFIG_PATH), undefined)
+    PKG_CONFIG_PATH := $(shell opam var prefix)/lib/pkgconfig
+  endif
+endif
+
+ifeq ($(OS), Windows_NT)
+  ifneq (, $(shell command -v cygpath))
+    PKG_CONFIG_PATH := $(shell cygpath --unix --path "$(PKG_CONFIG_PATH)")
+  endif
 endif
 
 EXISTS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists ocaml-freestanding; echo $$?)

=== src-freestanding/Makefile ===
--- 
+++ 
@@ -1,5 +1,13 @@
 ifneq (, $(shell command -v opam))
-PKG_CONFIG_PATH ?= $(shell opam var prefix)/lib/pkgconfig
+  ifeq ($(origin PKG_CONFIG_PATH), undefined)
+    PKG_CONFIG_PATH := $(shell opam var prefix)/lib/pkgconfig
+  endif
+endif
+
+ifeq ($(OS), Windows_NT)
+  ifneq (, $(shell command -v cygpath))
+    PKG_CONFIG_PATH := $(shell cygpath --unix --path "$(PKG_CONFIG_PATH)")
+  endif
 endif
 
 EXISTS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists ocaml-freestanding; echo $$?)

=== debian/changelog ===
ocaml-mirage-crypto (0.10.7-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Sun, 22 Jan 2023 10:31:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ocaml-mirage-crypto
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -21,7 +20,7 @@
  liblogs-ocaml-dev,
  pkg-config,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/mirage-crypto
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mirage-crypto.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	dune clean
	rm -rf _tmp

override_dh_auto_build:
	rm -rf _tmp
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p mirage-crypto
	dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) mirage-crypto
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p mirage-crypto-rng
	dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) mirage-crypto-rng
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p mirage-crypto-pk
	dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) mirage-crypto-pk
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p mirage-crypto-ec
	dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) mirage-crypto-ec

override_dh_auto_test:
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p mirage-crypto
# Needs randomconv
#	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p mirage-crypto-rng
#	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p mirage-crypto-pk
# Needs alcotest
#	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p mirage-crypto-ec

override_dh_auto_install:
	rm -rf debian/tmp
	cp -a $(CURDIR)/_tmp debian/tmp
	for u in mirage-crypto-rng mirage-crypto-pk mirage-crypto-ec; do rm -rf $(DESTDIR)/usr/doc/$$u; done
	rm -rf debian/tmp/usr/doc/*/LICENSE*

override_dh_strip:
	dh_strip -Xfreestanding

## ocaml-mirage-crypto 0.11.1

=== debian/changelog ===
ocaml-mirage-crypto (0.11.1-3) unstable; urgency=medium

  * Enable tests
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 06:06:42 +0200

ocaml-mirage-crypto (0.11.1-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 10:12:52 +0200

ocaml-mirage-crypto (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Bump standards-version to 4.6.2
  * Fix compilation with recent dune
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 09:04:45 +0200

=== debian/watch ===
version=4
https://github.com/mirage/mirage-crypto/tags .*/v?([\d\.]+)\.tar\.gz

## ocaml-mirage-crypto 0.11.2

=== debian/changelog ===
ocaml-mirage-crypto (0.11.2-2build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 19:40:17 +0100

ocaml-mirage-crypto (0.11.2-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 12:01:20 +0100

ocaml-mirage-crypto (0.11.2-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:25:47 +0100

ocaml-mirage-crypto (0.11.2-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * riscv64: Replace rdcycle64 with rdtime64 (Closes: #1064066)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Feb 2024 18:23:11 +0100

ocaml-mirage-crypto (0.11.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Oct 2023 12:07:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libdune-ocaml-dev,
  libounit-ocaml-dev,
@@ -18,9 +18,14 @@
  libsexplib0-ocaml-dev,
  libzarith-ocaml-dev,
  liblogs-ocaml-dev,
+ libalcotest-ocaml-dev <!nocheck>,
+ librandomconv-ocaml-dev <!nocheck>,
+ libhex-ocaml-dev <!nocheck>,
+ libasn1-combinators-ocaml-dev <!nocheck>,
+ libppx-deriving-yojson-ocaml-dev <!nocheck>,
  pkg-config,
- dh-ocaml
-Standards-Version: 4.6.1
+ dh-ocaml (>= 1.2.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/mirage-crypto
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mirage-crypto.git

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mirage/mirage-crypto/releases?per_page=50 \
https://github.com/mirage/mirage-crypto/releases/download/[^/]+/mirage-crypto-@ANY_VERSION@.tbz

## ocaml-mirage-crypto 0.11.3

=== debian/changelog ===
ocaml-mirage-crypto (0.11.3-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jun 2024 06:54:21 +0200

ocaml-mirage-crypto (0.11.3-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 10:50:00 +0200

ocaml-mirage-crypto (0.11.3-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 09:51:44 +0200

ocaml-mirage-crypto (0.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 13:19:38 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,11 @@
  libzarith-ocaml-dev,
  liblogs-ocaml-dev,
  libalcotest-ocaml-dev <!nocheck>,
- librandomconv-ocaml-dev <!nocheck>,
+ librandomconv-ocaml-dev (>= 0.2) <!nocheck>,
  libhex-ocaml-dev <!nocheck>,
  libasn1-combinators-ocaml-dev <!nocheck>,
  libppx-deriving-yojson-ocaml-dev <!nocheck>,
- pkg-config,
+ pkgconf,
  dh-ocaml (>= 1.2.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## ocaml-mirage-crypto 1.1.0

=== debian/changelog ===
ocaml-mirage-crypto (1.1.0-2build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:05:52 +0100

ocaml-mirage-crypto (1.1.0-2build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Sep 2024 14:34:41 +0200

ocaml-mirage-crypto (1.1.0-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 23:53:49 +0200

ocaml-mirage-crypto (1.1.0-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 18:02:00 +0200

ocaml-mirage-crypto (1.1.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:50:55 +0200

ocaml-mirage-crypto (1.1.0-2) unstable; urgency=medium

  * Add delay in timer_check, as an attempt to fix test failure on riscv64

 -- Stéphane Glondu <glondu@debian.org>  Wed, 21 Aug 2024 08:55:07 +0200

ocaml-mirage-crypto (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2024 20:54:21 +0200

## ocaml-mirage-crypto 2.0.0

=== debian/changelog ===
ocaml-mirage-crypto (2.0.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:45:05 +0100

ocaml-mirage-crypto (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Feb 2025 08:10:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  ocaml-dune,
  libdune-ocaml-dev,
  libounit-ocaml-dev,
- libcstruct-ocaml-dev,
  libeqaf-ocaml-dev,
  libduration-ocaml-dev,
  libmtime-ocaml-dev,
@@ -18,14 +17,15 @@
  libsexplib0-ocaml-dev,
  libzarith-ocaml-dev,
  liblogs-ocaml-dev,
+ libdigestif-ocaml-dev,
  libalcotest-ocaml-dev <!nocheck>,
  librandomconv-ocaml-dev (>= 0.2) <!nocheck>,
- libhex-ocaml-dev <!nocheck>,
- libasn1-combinators-ocaml-dev <!nocheck>,
+ libasn1-combinators-ocaml-dev (>= 0.3.1) <!nocheck>,
  libppx-deriving-yojson-ocaml-dev <!nocheck>,
+ libohex-ocaml-dev <!nocheck>,
  pkgconf,
  dh-ocaml (>= 1.2.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/mirage-crypto
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mirage-crypto.git

## ocaml-mirage-crypto 2.0.1

=== debian/changelog ===
ocaml-mirage-crypto (2.0.1-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 13:34:49 +0200

ocaml-mirage-crypto (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 17:45:45 +0200

## ocaml-mirage-crypto 2.0.2

=== debian/changelog ===
ocaml-mirage-crypto (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Sep 2025 08:26:52 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_strip:
	dh_strip -Xfreestanding
